Organization roles
GET
/organizations/{organizationId}/iam-roles
List the IAM roles that are defined for this organization.
Parameter query
limit
integer
Limits the number of results to return.
pageToken
string
The cursor that keeps track of the current position in the results.
reverse
boolean
Reverses the order in which the results are returned.
Payload respons
results
array of object
wajib
List of roles.
Tampilkan atribut turunan
results.accessKeysDependencyCount
integer
wajib
The number of access keys this role is assigned to.
results.actions
array of object
Actions this role contains.
Tampilkan atribut turunan
results.actions.name
string
wajib
The name of the action.
results.actions.type
string
wajib
The type that the action belongs to.
results.createdAt
string
wajib
When this role was created.
results.description
string
Role description.
results.id
string
wajib
ID of the role.
results.metadata
object
Metadata for the IAM Role.
Tampilkan atribut turunan
results.metadata.clouds
array of string
results.name
string
wajib
Role name.
results.organizationId
string
ID of the organization to which this role belongs.
results.policies
array of object
wajib
IAM Policies this role contains.
Tampilkan atribut turunan
The IAM policy record.
results.policies.createdAt
string
wajib
When the IAM Policy was created.
results.policies.definitions
array of object
wajib
List of IAM Policy definitions.
Tampilkan atribut turunan
results.policies.definitions.actions
array of string
wajib
A list of actions
results.policies.definitions.conditionsAll
array of object
Tampilkan atribut turunan
results.policies.definitions.conditionsAll.any
object
results.policies.definitions.effect
string
wajib
The outcome of the definition if a combination of the resources and actions match.
Possible values: allow, deny
results.policies.definitions.resources
array of string
wajib
A list of resources
results.policies.description
string
IAM Policy description.
results.policies.id
string
wajib
ID of the IAM Policy.
results.policies.metadata
object
Metadata for the IAM Policy.
Tampilkan atribut turunan
results.policies.metadata.apps
array of string
results.policies.metadata.clouds
array of string
results.policies.metadata.groups
array of string
results.policies.name
string
wajib
IAM Policy name.
results.policies.rolesDependencyCount
integer
The number of IAM Roles that depend on this IAM policy.
results.policies.scope
string
wajib
The scope to which this policy applies.
Possible values: organization, root
results.policies.updatedAt
string
wajib
When the IAM Policy was last updated.
results.policies.usersDependencyCount
integer
The number of users that depend on this IAM policy.
results.policies.id
string
wajib
ID of the IAM Policy.
results.policies.type
string
wajib
The type of policy, managed indicates it's controlled by the platform.
Possible values: managed, organization
results.type
string
wajib
Whether this role is managed by MessageBird or by the organization.
Possible values: organization, managed
results.updatedAt
string
wajib
When this role was last updated.
results.usersDependencyCount
integer
wajib
The number of users this role is assigned to.
nextPageToken
string
The token to fetch the next page of results. If empty, there are no more results to fetch.
Contoh kode
curl -X GET 'https://api.bird.com/organizations/{organizationId}/iam-roles' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'POST
/organizations/{organizationId}/iam-roles
Create a new IAM role for this organization.
Payload permintaan
name
string
wajib
Role name.
description
string
Role description.
policies
array of object
wajib
IAM Policies this role contains.
Tampilkan parameter turunan
policies.id
string
wajib
ID of the IAM Policy.
policies.type
string
wajib
The type of policy, managed indicates it's controlled by the platform.
Possible values: managed, organization
Payload respons
accessKeysDependencyCount
integer
wajib
The number of access keys this role is assigned to.
actions
array of object
Actions this role contains.
Tampilkan atribut turunan
actions.name
string
wajib
The name of the action.
actions.type
string
wajib
The type that the action belongs to.
createdAt
string
wajib
When this role was created.
description
string
Role description.
id
string
wajib
ID of the role.
metadata
object
Metadata for the IAM Role.
Tampilkan atribut turunan
metadata.clouds
array of string
name
string
wajib
Role name.
organizationId
string
ID of the organization to which this role belongs.
policies
array of object
wajib
IAM Policies this role contains.
Tampilkan atribut turunan
The IAM policy record.
policies.createdAt
string
wajib
When the IAM Policy was created.
policies.definitions
array of object
wajib
List of IAM Policy definitions.
Tampilkan atribut turunan
policies.definitions.actions
array of string
wajib
A list of actions
policies.definitions.conditionsAll
array of object
Tampilkan atribut turunan
policies.definitions.conditionsAll.any
object
policies.definitions.effect
string
wajib
The outcome of the definition if a combination of the resources and actions match.
Possible values: allow, deny
policies.definitions.resources
array of string
wajib
A list of resources
policies.description
string
IAM Policy description.
policies.id
string
wajib
ID of the IAM Policy.
policies.metadata
object
Metadata for the IAM Policy.
Tampilkan atribut turunan
policies.metadata.apps
array of string
policies.metadata.clouds
array of string
policies.metadata.groups
array of string
policies.name
string
wajib
IAM Policy name.
policies.rolesDependencyCount
integer
The number of IAM Roles that depend on this IAM policy.
policies.scope
string
wajib
The scope to which this policy applies.
Possible values: organization, root
policies.updatedAt
string
wajib
When the IAM Policy was last updated.
policies.usersDependencyCount
integer
The number of users that depend on this IAM policy.
policies.id
string
wajib
ID of the IAM Policy.
policies.type
string
wajib
The type of policy, managed indicates it's controlled by the platform.
Possible values: managed, organization
type
string
wajib
Whether this role is managed by MessageBird or by the organization.
Possible values: organization, managed
updatedAt
string
wajib
When this role was last updated.
usersDependencyCount
integer
wajib
The number of users this role is assigned to.
Contoh kode
curl -X POST 'https://api.bird.com/organizations/{organizationId}/iam-roles' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'GET
/organizations/{organizationId}/iam-roles/{roleId}
Retrieve a single IAM role.
Payload respons
accessKeysDependencyCount
integer
wajib
The number of access keys this role is assigned to.
actions
array of object
Actions this role contains.
Tampilkan atribut turunan
actions.name
string
wajib
The name of the action.
actions.type
string
wajib
The type that the action belongs to.
createdAt
string
wajib
When this role was created.
description
string
Role description.
id
string
wajib
ID of the role.
metadata
object
Metadata for the IAM Role.
Tampilkan atribut turunan
metadata.clouds
array of string
name
string
wajib
Role name.
organizationId
string
ID of the organization to which this role belongs.
policies
array of object
wajib
IAM Policies this role contains.
Tampilkan atribut turunan
The IAM policy record.
policies.createdAt
string
wajib
When the IAM Policy was created.
policies.definitions
array of object
wajib
List of IAM Policy definitions.
Tampilkan atribut turunan
policies.definitions.actions
array of string
wajib
A list of actions
policies.definitions.conditionsAll
array of object
Tampilkan atribut turunan
policies.definitions.conditionsAll.any
object
policies.definitions.effect
string
wajib
The outcome of the definition if a combination of the resources and actions match.
Possible values: allow, deny
policies.definitions.resources
array of string
wajib
A list of resources
policies.description
string
IAM Policy description.
policies.id
string
wajib
ID of the IAM Policy.
policies.metadata
object
Metadata for the IAM Policy.
Tampilkan atribut turunan
policies.metadata.apps
array of string
policies.metadata.clouds
array of string
policies.metadata.groups
array of string
policies.name
string
wajib
IAM Policy name.
policies.rolesDependencyCount
integer
The number of IAM Roles that depend on this IAM policy.
policies.scope
string
wajib
The scope to which this policy applies.
Possible values: organization, root
policies.updatedAt
string
wajib
When the IAM Policy was last updated.
policies.usersDependencyCount
integer
The number of users that depend on this IAM policy.
policies.id
string
wajib
ID of the IAM Policy.
policies.type
string
wajib
The type of policy, managed indicates it's controlled by the platform.
Possible values: managed, organization
type
string
wajib
Whether this role is managed by MessageBird or by the organization.
Possible values: organization, managed
updatedAt
string
wajib
When this role was last updated.
usersDependencyCount
integer
wajib
The number of users this role is assigned to.
Contoh kode
curl -X GET 'https://api.bird.com/organizations/{organizationId}/iam-roles/{roleId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'DELETE
/organizations/{organizationId}/iam-roles/{roleId}
Remove an IAM role from the organization.
Contoh kode
curl -X DELETE 'https://api.bird.com/organizations/{organizationId}/iam-roles/{roleId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'PATCH
/organizations/{organizationId}/iam-roles/{roleId}
Update an IAM role's properties.
Payload permintaan
name
string
Role name.
description
string
Role description.
policies
array of object
IAM Policies this role contains.
Tampilkan parameter turunan
policies.id
string
wajib
ID of the IAM Policy.
policies.type
string
wajib
The type of policy, managed indicates it's controlled by the platform.
Possible values: managed, organization
actions
array of object
Actions this role contains.
Tampilkan parameter turunan
actions.name
string
wajib
The name of the action.
actions.type
string
wajib
The type that the action belongs to.
Payload respons
accessKeysDependencyCount
integer
wajib
The number of access keys this role is assigned to.
actions
array of object
Actions this role contains.
Tampilkan atribut turunan
actions.name
string
wajib
The name of the action.
actions.type
string
wajib
The type that the action belongs to.
createdAt
string
wajib
When this role was created.
description
string
Role description.
id
string
wajib
ID of the role.
metadata
object
Metadata for the IAM Role.
Tampilkan atribut turunan
metadata.clouds
array of string
name
string
wajib
Role name.
organizationId
string
ID of the organization to which this role belongs.
policies
array of object
wajib
IAM Policies this role contains.
Tampilkan atribut turunan
The IAM policy record.
policies.createdAt
string
wajib
When the IAM Policy was created.
policies.definitions
array of object
wajib
List of IAM Policy definitions.
Tampilkan atribut turunan
policies.definitions.actions
array of string
wajib
A list of actions
policies.definitions.conditionsAll
array of object
Tampilkan atribut turunan
policies.definitions.conditionsAll.any
object
policies.definitions.effect
string
wajib
The outcome of the definition if a combination of the resources and actions match.
Possible values: allow, deny
policies.definitions.resources
array of string
wajib
A list of resources
policies.description
string
IAM Policy description.
policies.id
string
wajib
ID of the IAM Policy.
policies.metadata
object
Metadata for the IAM Policy.
Tampilkan atribut turunan
policies.metadata.apps
array of string
policies.metadata.clouds
array of string
policies.metadata.groups
array of string
policies.name
string
wajib
IAM Policy name.
policies.rolesDependencyCount
integer
The number of IAM Roles that depend on this IAM policy.
policies.scope
string
wajib
The scope to which this policy applies.
Possible values: organization, root
policies.updatedAt
string
wajib
When the IAM Policy was last updated.
policies.usersDependencyCount
integer
The number of users that depend on this IAM policy.
policies.id
string
wajib
ID of the IAM Policy.
policies.type
string
wajib
The type of policy, managed indicates it's controlled by the platform.
Possible values: managed, organization
type
string
wajib
Whether this role is managed by MessageBird or by the organization.
Possible values: organization, managed
updatedAt
string
wajib
When this role was last updated.
usersDependencyCount
integer
wajib
The number of users this role is assigned to.
Contoh kode
curl -X PATCH 'https://api.bird.com/organizations/{organizationId}/iam-roles/{roleId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'